### Hierarchy

- unknown
  - SepaInstantAccountPayload

## Index

### Constructors

- constructor

### Methods

- getBic
- getHolderName
- getIban
- serializeBinary
- setBic
- setHolderName
- setIban
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SepaInstantAccountPayload(): SepaInstantAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns SepaInstantAccountPayload

## Methods

### getBic

- getBic(): string

- - Defined in src/protobuf/pb_pb.d.ts:4994

  #### Returns string

### getHolderName

- getHolderName(): string

- - Defined in src/protobuf/pb_pb.d.ts:4988

  #### Returns string

### getIban

- getIban(): string

- - Defined in src/protobuf/pb_pb.d.ts:4991

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:4997

  #### Returns Uint8Array

### setBic

- setBic(value: string): SepaInstantAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4995

  #### Parameters

  - ##### value: string

  #### Returns SepaInstantAccountPayload

### setHolderName

- setHolderName(value: string): SepaInstantAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4989

  #### Parameters

  - ##### value: string

  #### Returns SepaInstantAccountPayload

### setIban

- setIban(value: string): SepaInstantAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4992

  #### Parameters

  - ##### value: string

  #### Returns SepaInstantAccountPayload

### toObject

- toObject(includeInstance?: boolean): SepaInstantAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4998

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SepaInstantAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SepaInstantAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5001

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SepaInstantAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SepaInstantAccountPayload, reader: BinaryReader): SepaInstantAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5002

  #### Parameters

  - ##### message: SepaInstantAccountPayload

  - ##### reader: BinaryReader

  #### Returns SepaInstantAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SepaInstantAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:5000

  #### Parameters

  - ##### message: SepaInstantAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SepaInstantAccountPayload ): SepaInstantAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4999

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SepaInstantAccountPayload

  #### Returns SepaInstantAccountPayload . AsObject

Generated using TypeDoc